/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.warehouse.goods.entity;

import com.jeeplus.modules.warehouse.materialtype.entity.MaterialType;
import com.jeeplus.modules.warehouse.goods.entity.Goods;

import com.jeeplus.core.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 货品明细Entity
 * @author huyi
 * @version 2023-02-13
 */
public class GoodsInfo extends DataEntity<GoodsInfo> {
	
	private static final long serialVersionUID = 1L;
	private String name;		// 名称
	private MaterialType type;		// 类型
	private String model;		// 型号
	private Integer num;		// 数量
	private String state;		// 入库状态
	private Goods goods;		// 主表ID 父类
	
	public GoodsInfo() {
		super();
	}

	public GoodsInfo(String id){
		super(id);
	}

	public GoodsInfo(Goods goods){
		this.goods = goods;
	}

	@ExcelField(title="名称", align=2, sort=1)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="类型", fieldType=MaterialType.class, value="type.code", align=2, sort=2)
	public MaterialType getType() {
		return type;
	}

	public void setType(MaterialType type) {
		this.type = type;
	}
	
	@ExcelField(title="型号", align=2, sort=3)
	public String getModel() {
		return model;
	}

	public void setModel(String model) {
		this.model = model;
	}
	
	@ExcelField(title="数量", align=2, sort=4)
	public Integer getNum() {
		return num;
	}

	public void setNum(Integer num) {
		this.num = num;
	}
	
	@ExcelField(title="入库状态", dictType="wh_stockroom_state", align=2, sort=6)
	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}
	
	public Goods getGoods() {
		return goods;
	}

	public void setGoods(Goods goods) {
		this.goods = goods;
	}
	
}